Subject: Re: [patch 04/10] 4xx bootwrapper reworks

From: David Gibson <[email-masked]>
Date: Tue, 7 Aug 2007 13:05:47 +1000

On Mon, Aug 06, 2007 at 07:36:03AM -0500, Josh Boyer wrote:
> On Mon, Aug 06, 2007 at 02:38:55PM +1000, David Gibson wrote:
> > On Fri, Aug 03, 2007 at 11:09:04AM -0500, Josh Boyer wrote:
> > > -#define SPRN_DBCR0		0x134
> > > -#define   DBCR0_RST_SYSTEM	0x30000000
> > > +#define DBCR0_RST_SYSTEM 0x30000000
> > 
> > Rather than just removing these defines and using hardcoded values,
> > I'd prefer to see separate SPRN_DBCR0_40X and SPRN_DBCR0_44X defines.
> 
> Ok.  And place them where?  In the same file since they aren't DCR defines?
> Seems fairly trivial, but ok.

Just where the old 44x specific define was. And yes, it is fairly
trivial.

> > [snip]
> > > +#define EMAC_RESET 0x20000000
> > > +#define MAL_RESET 0x80000000
> > 
> > I think the MAL_RESET definition should go in the same place as the
> > DCR number definition.
> 
> Ok.  Trivial.

Yes.

> > As I think I said before, I'm not really happy with this being
> > hardcoded assuming exactly 2 ethernets.
> 
> Well, it's hardcoded to assume one or two.  I know of only one board that has
> more than two EMACs.  I was hoping we could get this in for 2.6.24 as-is and
> change it when needs be.  But I'll look at making it var-args or similar.
> 
> josh
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev
> 

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson